RunningMode (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.resourcemanagement.support.shared.types
Enum RunningMode

    java.lang.Object
      java.lang.Enum<RunningMode>
          org.gcube.resourcemanagement.support.shared.types.RunningMode

All Implemented Interfaces:
  Serializable, Comparable<RunningMode>

    public enum RunningMode

extends Enum<RunningMode>
implements Serializable

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`NOTDEFINED`
`PORTAL`
`STANDALONE`

Method Summary
`String` | `toString()`
`static RunningMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RunningMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PORTAL

    public static final RunningMode PORTAL

### STANDALONE

    public static final RunningMode STANDALONE

### NOTDEFINED

    public static final RunningMode NOTDEFINED

Method Detail

### values

    public static RunningMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RunningMode c : RunningMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RunningMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public final String toString()

  Overrides:
    `toString` in class `Enum<RunningMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.